Skip to main content
GET
/
policies
/
{policyId}
/
events
List policy, asset or customer events.
curl --request GET \
  --url https://api.example.com/policies/{policyId}/events
import requests

url = "https://api.example.com/policies/{policyId}/events"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/policies/{policyId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "aggregateId": "<string>",
      "version": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "type": "<string>",
      "data": {},
      "metadata": {
        "rootId": "<string>",
        "branchId": "<string>",
        "tenantId": "<string>",
        "createdAt": "<string>",
        "productId": "<string>",
        "userId": "<string>",
        "isSimulated": true,
        "isCustomEvent": true,
        "appliedAt": "<string>",
        "migrated": true,
        "migrationId": "<string>"
      }
    }
  ],
  "total": 123,
  "offset": 123,
  "limit": 123
}
{
"title": "POLICY_NOT_FOUND"
}

Path Parameters

policyId
string
required

the policy id

Query Parameters

whenAt
string

Optional: the whenAt datetime

simulatedAt
string

Optional: the simulatedAt datetime

branchId
string

Optional: the branchId

Response

data
object[]
required

Array of policy events

total
number

Total number of policies

offset
number

Offset used for pagination

limit
number

Page size used for pagination